include:
  - project: devops/ci-config
    file: /templates/container-flexible.gitlab-ci.yml
    ref: v1

variables:
  build_tag: $CI_REGISTRY_IMAGE:$redis_version-$CI_COMMIT_SHORT_SHA

.release_branch:
  extends: .release
  variables:
    release_tag: $CI_REGISTRY_IMAGE:$redis_version-$CI_COMMIT_BRANCH
  only:
    - main

.release_tag:
  extends: .release
  variables:
    release_tag: $CI_REGISTRY_IMAGE:$redis_version-$CI_COMMIT_TAG
  only:
    - tags

#
# Redis 4 is DEPRECATED - please upgrade to 5.x or 6.x ASAP.
#
.redis4:
  variables:
    redis_version: '4'

redis4_build:
  extends:
    - .build
    - .redis4

redis4_test:
  extends:
    - .test
    - .redis4

redis4_release_branch:
  extends:
    - .release_branch
    - .redis4

redis4_release_tag:
  extends:
    - .release_tag
    - .redis4

.redis5:
  variables:
    redis_version: '5'

redis5_build:
  extends:
    - .build
    - .redis5

redis5_test:
  extends:
    - .test
    - .redis5

redis5_release_branch:
  extends:
    - .release_branch
    - .redis5

redis5_release_tag:
  extends:
    - .release_tag
    - .redis5

.redis6:
  variables:
    redis_version: '6'

redis6_build:
  extends:
    - .build
    - .redis6

redis6_test:
  extends:
    - .test
    - .redis6

redis6_release_branch:
  extends:
    - .release_branch
    - .redis6

redis6_release_tag:
  extends:
    - .release_tag
    - .redis6
